# Uses of Class
net.shibboleth.profile.context.RelyingPartyContext

Packages that use RelyingPartyContext
Package
Description
net.shibboleth.profile.context
Context classes used in profile handling.
net.shibboleth.profile.context.logic
Predicates that evaluate profile contexts.
net.shibboleth.profile.context.logic.messaging
Predicates that evaluate message contexts.
net.shibboleth.profile.context.navigate
Context lookup functions that navigate profile contexts.
net.shibboleth.profile.context.navigate.messaging
Context navigation using messaging contexts.

## Uses of RelyingPartyContext in net.shibboleth.profile.context

Fields in net.shibboleth.profile.context with type parameters of type RelyingPartyContext
Modifier and Type
Field
Description
`private Function<RelyingPartyContext,String>`
RelyingPartyContext.`relyingPartyIdLookupStrategy`
A lookup strategy for deriving a relying party ID based on contained information.
`private Function<RelyingPartyContext,Boolean>`
RelyingPartyContext.`verificationLookupStrategy`
A lookup strategy for deriving verification based on the context.
Methods in net.shibboleth.profile.context that return RelyingPartyContext
Modifier and Type
Method
Description
`RelyingPartyContext`
RelyingPartyContext.`setConfiguration(RelyingPartyConfiguration config)`
Set the configuration to use when processing requests for this relying party.
`RelyingPartyContext`
RelyingPartyContext.`setProfileConfig(ProfileConfiguration config)`
Set the configuration for the request profile currently being processed.
`RelyingPartyContext`
RelyingPartyContext.`setRelyingPartyId(String rpId)`
Set the unique identifier of the relying party.
`RelyingPartyContext`
RelyingPartyContext.`setRelyingPartyIdContextTree(BaseContext root)`
Set the context tree containing identifying information for this relying party.
`RelyingPartyContext`
RelyingPartyContext.`setRelyingPartyIdLookupStrategy(Function<RelyingPartyContext,String> strategy)`
Set the lookup strategy for a non-explicit relying party ID.
`RelyingPartyContext`
RelyingPartyContext.`setVerificationLookupStrategy(Function<RelyingPartyContext,Boolean> strategy)`
Set the lookup strategy for a non-explicit verification determination.
`RelyingPartyContext`
RelyingPartyContext.`setVerified(Boolean flag)`
Set whether the relying party was verified in some fashion.
Methods in net.shibboleth.profile.context that return types with arguments of type RelyingPartyContext
Modifier and Type
Method
Description
`(package private) Function<RelyingPartyContext,String>`
RelyingPartyContext.`getRelyingPartyIdLookupStrategy()`
Get the lookup strategy for a non-explicit relying party ID.
`(package private) Function<RelyingPartyContext,Boolean>`
RelyingPartyContext.`getVerificationLookupStrategy()`
Get the lookup strategy for a non-explicit verification determination.
Method parameters in net.shibboleth.profile.context with type arguments of type RelyingPartyContext
Modifier and Type
Method
Description
`RelyingPartyContext`
RelyingPartyContext.`setRelyingPartyIdLookupStrategy(Function<RelyingPartyContext,String> strategy)`
Set the lookup strategy for a non-explicit relying party ID.
`RelyingPartyContext`
RelyingPartyContext.`setVerificationLookupStrategy(Function<RelyingPartyContext,Boolean> strategy)`
Set the lookup strategy for a non-explicit verification determination.

## Uses of RelyingPartyContext in net.shibboleth.profile.context.logic

Fields in net.shibboleth.profile.context.logic with type parameters of type RelyingPartyContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,RelyingPartyContext>`
AbstractRelyingPartyPredicate.`relyingPartyContextLookupStrategy`
Strategy function to lookup RelyingPartyContext.
Methods in net.shibboleth.profile.context.logic that return RelyingPartyContext
Modifier and Type
Method
Description
`protected RelyingPartyContext`
AbstractRelyingPartyPredicate.`getRelyingPartyContext(ProfileRequestContext input)`
Returns the result of evaluating the injected lookup strategy to obtain the `RelyingPartyContext`.
Methods in net.shibboleth.profile.context.logic that return types with arguments of type RelyingPartyContext
Modifier and Type
Method
Description
`Function<ProfileRequestContext,RelyingPartyContext>`
AbstractRelyingPartyPredicate.`getRelyingPartyContextLookupStrategy()`
Get the lookup strategy to use to locate the `RelyingPartyContext`.
Method parameters in net.shibboleth.profile.context.logic with type arguments of type RelyingPartyContext
Modifier and Type
Method
Description
`void`
AbstractRelyingPartyPredicate.`setRelyingPartyContextLookupStrategy(Function<ProfileRequestContext,RelyingPartyContext> strategy)`
Set the lookup strategy to use to locate the `RelyingPartyContext`.

## Uses of RelyingPartyContext in net.shibboleth.profile.context.logic.messaging

Fields in net.shibboleth.profile.context.logic.messaging with type parameters of type RelyingPartyContext
Modifier and Type
Field
Description
`private Function<MessageContext,RelyingPartyContext>`
AbstractRelyingPartyPredicate.`relyingPartyContextLookupStrategy`
Strategy used to locate the `RelyingPartyContext` associated with a given `MessageContext`.
Methods in net.shibboleth.profile.context.logic.messaging that return RelyingPartyContext
Modifier and Type
Method
Description
`protected RelyingPartyContext`
AbstractRelyingPartyPredicate.`getRelyingPartyContext(MessageContext input)`
Return the result of applying the lookup function to obtain the `RelyingPartyContext`.
Methods in net.shibboleth.profile.context.logic.messaging that return types with arguments of type RelyingPartyContext
Modifier and Type
Method
Description
`Function<MessageContext,RelyingPartyContext>`
AbstractRelyingPartyPredicate.`getRelyingPartyContextLookupStrategy()`
Get the strategy used to locate the `RelyingPartyContext` associated with a given `MessageContext`.
Method parameters in net.shibboleth.profile.context.logic.messaging with type arguments of type RelyingPartyContext
Modifier and Type
Method
Description
`void`
AbstractRelyingPartyPredicate.`setRelyingPartyContextLookupStrategy(Function<MessageContext,RelyingPartyContext> strategy)`
Set the strategy used to locate the `RelyingPartyContext` associated with a given `MessageContext`.

## Uses of RelyingPartyContext in net.shibboleth.profile.context.navigate

Fields in net.shibboleth.profile.context.navigate with type parameters of type RelyingPartyContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,RelyingPartyContext>`
AbstractRelyingPartyLookupFunction.`relyingPartyContextLookupStrategy`
Strategy used to locate the `RelyingPartyContext` associated with a given `ProfileRequestContext`.
Methods in net.shibboleth.profile.context.navigate that return RelyingPartyContext
Modifier and Type
Method
Description
`protected RelyingPartyContext`
AbstractRelyingPartyLookupFunction.`getRelyingPartyContext(ProfileRequestContext input)`
Invokes the installed lookup function to locate the `RelyingPartyContext`.
Methods in net.shibboleth.profile.context.navigate that return types with arguments of type RelyingPartyContext
Modifier and Type
Method
Description
`Function<ProfileRequestContext,RelyingPartyContext>`
AbstractRelyingPartyLookupFunction.`getRelyingPartyContextLookupStrategy()`
Get the strategy used to locate the `RelyingPartyContext` associated with a given `ProfileRequestContext`.
Method parameters in net.shibboleth.profile.context.navigate with type arguments of type RelyingPartyContext
Modifier and Type
Method
Description
`void`
AbstractRelyingPartyLookupFunction.`setRelyingPartyContextLookupStrategy(Function<ProfileRequestContext,RelyingPartyContext> strategy)`
Set the strategy used to locate the `RelyingPartyContext` associated with a given `ProfileRequestContext`.

## Uses of RelyingPartyContext in net.shibboleth.profile.context.navigate.messaging

Fields in net.shibboleth.profile.context.navigate.messaging with type parameters of type RelyingPartyContext
Modifier and Type
Field
Description
`private Function<MessageContext,RelyingPartyContext>`
AbstractRelyingPartyLookupFunction.`relyingPartyContextLookupStrategy`
Strategy used to locate the `RelyingPartyContext` associated with a given `MessageContext`.
Methods in net.shibboleth.profile.context.navigate.messaging that return RelyingPartyContext
Modifier and Type
Method
Description
`protected RelyingPartyContext`
AbstractRelyingPartyLookupFunction.`getRelyingPartyContext(MessageContext input)`
Return the result of applying the lookup function to obtain the `RelyingPartyContext`.
Methods in net.shibboleth.profile.context.navigate.messaging that return types with arguments of type RelyingPartyContext
Modifier and Type
Method
Description
`Function<MessageContext,RelyingPartyContext>`
AbstractRelyingPartyLookupFunction.`getRelyingPartyContextLookupStrategy()`
Get the strategy used to locate the `RelyingPartyContext` associated with a given `MessageContext`.
Method parameters in net.shibboleth.profile.context.navigate.messaging with type arguments of type RelyingPartyContext
Modifier and Type
Method
Description
`void`
AbstractRelyingPartyLookupFunction.`setRelyingPartyContextLookupStrategy(Function<MessageContext,RelyingPartyContext> strategy)`
Set the strategy used to locate the `RelyingPartyContext` associated with a given `MessageContext`.